declare const standardsConfig: {
    'accessor-pairs': string;
    'arrow-body-style': (string | {
        requireReturnForObjectLiteral: boolean;
    })[];
    'block-scoped-var': string;
    'default-case': (string | {
        commentPattern: string;
    })[];
    eqeqeq: (string | {
        null: string;
    })[];
    'getter-return': (string | {
        allowImplicit: boolean;
    })[];
    'guard-for-in': string;
    'max-classes-per-file': (string | number)[];
    'object-property-newline': (string | {
        allowAllPropertiesOnSameLine: boolean;
    })[];
    'object-shorthand': (string | {
        avoidQuotes: boolean;
        ignoreConstructors: boolean;
    })[];
    'one-var': string[];
    'one-var-declaration-per-line': string[];
    'operator-assignment': string[];
    'prefer-arrow-callback': (string | {
        allowNamedFunctions: boolean;
        allowUnboundThis: boolean;
    })[];
    'prefer-const': (string | {
        destructuring: string;
        ignoreReadBeforeAssign: boolean;
    })[];
    'prefer-destructuring': (string | {
        AssignmentExpression: {
            array: boolean;
            object: boolean;
        };
        VariableDeclarator: {
            array: boolean;
            object: boolean;
        };
        enforceForRenamedProperties?: undefined;
    } | {
        enforceForRenamedProperties: boolean;
        AssignmentExpression?: undefined;
        VariableDeclarator?: undefined;
    })[];
    'prefer-named-capture-group': string;
    'prefer-numeric-literals': string;
    'prefer-spread': string;
    radix: string[];
    'require-await': string;
    'require-unicode-regexp': string;
    semi: string[];
    'sort-imports': (string | {
        ignoreCase: boolean;
        ignoreDeclarationSort: boolean;
        ignoreMemberSort: boolean;
        memberSyntaxSortOrder: string[];
    })[];
    'valid-jsdoc': string;
    'valid-typeof': (string | {
        requireStringLiterals: boolean;
    })[];
    'vars-on-top': string;
    'wrap-iife': (string | {
        functionPrototypeMethods: boolean;
    })[];
};
declare const standardsIgnore: Record<string, string>;
export { standardsConfig, standardsIgnore };
//# sourceMappingURL=standards.d.ts.map