declare const tsConfig: {
    '@typescript-eslint/array-type': string;
    '@typescript-eslint/ban-ts-comment': string;
    '@typescript-eslint/ban-tslint-comment': string;
    '@typescript-eslint/consistent-type-definitions': string;
    '@typescript-eslint/consistent-type-imports': string;
    '@typescript-eslint/naming-convention': (string | {
        selector: string;
        format: string[];
        leadingUnderscore: string;
        trailingUnderscore: string;
        modifiers?: undefined;
    } | {
        selector: string;
        format: string[];
        leadingUnderscore?: undefined;
        trailingUnderscore?: undefined;
        modifiers?: undefined;
    } | {
        selector: string;
        modifiers: string[];
        format: string[];
        leadingUnderscore?: undefined;
        trailingUnderscore?: undefined;
    })[];
    '@typescript-eslint/no-import-type-side-effects': string;
    '@typescript-eslint/no-inferrable-types': string;
    '@typescript-eslint/no-require-imports': string;
    '@typescript-eslint/no-shadow': string;
    '@typescript-eslint/no-unused-expressions': string;
    '@typescript-eslint/no-unused-vars': (string | {
        args: string;
        ignoreRestSiblings: boolean;
        vars: string;
    })[];
    '@typescript-eslint/no-useless-constructor': string;
    '@typescript-eslint/no-var-requires': string;
    '@typescript-eslint/prefer-function-type': string;
    '@typescript-eslint/triple-slash-reference': (string | {
        lib: string;
        path: string;
        types: string;
    })[];
    '@typescript-eslint/unified-signatures': string;
};
declare const tsIgnore: Record<string, string>;
export { tsConfig, tsIgnore };
//# sourceMappingURL=typescript.d.ts.map