export declare const jestConfig: {
    'jest/consistent-test-it': (string | {
        fn: string;
        withinDescribe: string;
    })[];
    'jest/expect-expect': (string | {
        assertFunctionNames: string[];
    })[];
    'jest/max-expects': string;
    'jest/max-nested-describe': (string | {
        max: number;
    })[];
    'jest/no-alias-methods': string;
    'jest/no-commented-out-tests': string;
    'jest/no-conditional-expect': string;
    'jest/no-conditional-in-test': string;
    'jest/no-confusing-set-timeout': string;
    'jest/no-deprecated-functions': string;
    'jest/no-disabled-tests': string;
    'jest/no-done-callback': string;
    'jest/no-duplicate-hooks': string;
    'jest/no-export': string;
    'jest/no-focused-tests': string;
    'jest/no-hooks': string;
    'jest/no-identical-title': string;
    'jest/no-interpolation-in-snapshots': string;
    'jest/no-jasmine-globals': string;
    'jest/no-large-snapshots': string;
    'jest/no-mocks-import': string;
    'jest/no-restricted-jest-methods': string;
    'jest/no-restricted-matchers': string;
    'jest/no-standalone-expect': string;
    'jest/no-test-prefixes': string;
    'jest/no-test-return-statement': string;
    'jest/no-untyped-mock-factory': string;
    'jest/padding-around-after-all-blocks': string;
    'jest/padding-around-after-each-blocks': string;
    'jest/padding-around-all': string;
    'jest/padding-around-before-all-blocks': string;
    'jest/padding-around-before-each-blocks': string;
    'jest/padding-around-describe-blocks': string;
    'jest/padding-around-expect-groups': string;
    'jest/padding-around-test-blocks': string;
    'jest/prefer-called-with': string;
    'jest/prefer-comparison-matcher': string;
    'jest/prefer-each': string;
    'jest/prefer-equality-matcher': string;
    'jest/prefer-expect-assertions': string;
    'jest/prefer-expect-resolves': string;
    'jest/prefer-hooks-in-order': string;
    'jest/prefer-hooks-on-top': string;
    'jest/prefer-importing-jest-globals': string;
    'jest/prefer-jest-mocked': string;
    'jest/prefer-lowercase-title': string;
    'jest/prefer-mock-promise-shorthand': string;
    'jest/prefer-snapshot-hint': string;
    'jest/prefer-spy-on': string;
    'jest/prefer-strict-equal': string;
    'jest/prefer-to-be': string;
    'jest/prefer-to-contain': string;
    'jest/prefer-to-have-length': string;
    'jest/prefer-todo': string;
    'jest/require-hook': string;
    'jest/require-to-throw-message': string;
    'jest/require-top-level-describe': string;
    'jest/valid-describe-callback': string;
    'jest/valid-expect': string;
    'jest/valid-expect-in-promise': string;
    'jest/valid-title': string;
};
//# sourceMappingURL=jest.d.ts.map