"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.testFiles = exports.ignoresConfigFiles = exports.ignoresConfigAndTests = void 0;
const configFileMatches = ['*.{config,conf,e2e,po,cy}.{j,t}s?(x)'];
const testFileMatches = [
    '*.{s,S}pec.{j,t}s?(x)',
    '**/e2e/**/*.{j,t}s?(x)',
    '**/__tests__/**/*.{j,t}s?(x)',
    '**/test/**/*.{j,t}s?(x)',
    '**/tests/**/*.{s,S}pec.{j,t}s?(x)'
];
exports.ignoresConfigAndTests = [...configFileMatches, ...testFileMatches];
exports.ignoresConfigFiles = [...configFileMatches];
exports.testFiles = [...testFileMatches];
